pcl::tracking::DistanceCoherence< PointInT > Class Template Reference

DistanceCoherence computes coherence between two points from the distance between them. More...

`#include <pcl/tracking/distance_coherence.h>`

Inheritance diagram for pcl::tracking::DistanceCoherence< PointInT >:

## Public Member Functions

| DistanceCoherence ()
| initialize the weight to 1.0. More...
void | setWeight (double weight)
| set the weight of coherence. More...
double | getWeight ()
| get the weight of coherence. More...
Public Member Functions inherited from pcl::tracking::PointCoherence< PointInT >
| PointCoherence ()
| empty constructor More...
virtual | ~PointCoherence ()
| empty distructor More...
double | compute (PointInT &source, PointInT &target)
| compute coherence from the source point to the target point. More...

## Protected Member Functions

double | computeCoherence (PointInT &source, PointInT &target)
| return the distance coherence between the two points. More...
Protected Member Functions inherited from pcl::tracking::PointCoherence< PointInT >
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...

## Protected Attributes

double | weight_
| the weight of coherence. More...
Protected Attributes inherited from pcl::tracking::PointCoherence< PointInT >
std::string | coherence_name_
| The coherence name. More...

## Additional Inherited Members

Public Types inherited from pcl::tracking::PointCoherence< PointInT >
typedef boost::shared_ptr< PointCoherence< PointInT > > | Ptr
typedef boost::shared_ptr< const PointCoherence< PointInT > > | ConstPtr

## Detailed Description

### template<typename PointInT>
class pcl::tracking::DistanceCoherence< PointInT >

DistanceCoherence computes coherence between two points from the distance between them.

the coherence is calculated by 1 / (1 + weight * d^2 ).

Author
  Ryohei Ueda

Definition at line 16 of file distance_coherence.h.

## Constructor & Destructor Documentation

## DistanceCoherence()

template<typename PointInT >

pcl::tracking::DistanceCoherence< PointInT >::DistanceCoherence | ( |  | ) |

inline

initialize the weight to 1.0.

Definition at line 21 of file distance_coherence.h.

## Member Function Documentation

## computeCoherence()

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::computeCoherence | ( | PointInT & | source,
|  | PointInT & | target
| ) |  |

protected virtual

return the distance coherence between the two points.

Parameters

  source | instance of source point.
  target | instance of target point.

Implements pcl::tracking::PointCoherence< PointInT >.

Definition at line 12 of file distance_coherence.hpp.

Referenced by pcl::tracking::DistanceCoherence< PointInT >::getWeight().

## getWeight()

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::getWeight | ( |  | ) |

inline

get the weight of coherence.

Definition at line 32 of file distance_coherence.h.

References pcl::tracking::DistanceCoherence< PointInT >::computeCoherence(), and pcl::tracking::DistanceCoherence< PointInT >::weight_.

## setWeight()

template<typename PointInT >

void pcl::tracking::DistanceCoherence< PointInT >::setWeight | ( | double | weight | ) |

inline

set the weight of coherence.

Parameters

  weight | the value of the wehgit.

Definition at line 29 of file distance_coherence.h.

References pcl::tracking::DistanceCoherence< PointInT >::weight_.

## Member Data Documentation

## weight_

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::weight_

protected

the weight of coherence.

Definition at line 43 of file distance_coherence.h.

Referenced by pcl::tracking::DistanceCoherence< PointInT >::getWeight(), and pcl::tracking::DistanceCoherence< PointInT >::setWeight().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/distance_coherence.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/impl/distance_coherence.hpp